## hdbc-missingh 0.99.0.0

=== debian/changelog ===
hdbc-missingh (0.99.0.0) unstable; urgency=low

  * Initial release.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Dec 2005 15:24:13 -0600
