## hdbc-missingh 0.99.0.0build1

=== debian/changelog ===
hdbc-missingh (0.99.0.0build1) dapper; urgency=low

  * Rebuild for registered/unregistered change of ghc6 on amd64/sparc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Tue, 11 Apr 2006 23:03:32 +0200
