## hdbc-missingh 0.99.2.0

=== debian/changelog ===
hdbc-missingh (0.99.2.0) unstable; urgency=low

  * Rebuild against HDBC 0.99.2.
  * Don't try to commit against DBs that don't support transactions.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Mar 2006 05:46:12 -0600

hdbc-missingh (0.99.1.0) unstable; urgency=low

  * Rebuilt against HDBC 0.99.1.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 27 Mar 2006 22:58:39 -0600

hdbc-missingh (0.99.0.1) unstable; urgency=low

  * Updated build-deps on MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 20 Mar 2006 20:39:34 -0600
