## hdbc-missingh 1.0.0.0

=== debian/changelog ===
hdbc-missingh (1.0.0.0) unstable; urgency=low

  * Blessing for 1.0.0.
  * Rebuilding for Debian with GHC 6.4.2.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Jun 2006 18:50:18 -0500

hdbc-missingh (0.99.2.3) unstable; urgency=low

  * Rebuilding for MissingH 0.14.2.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Apr 2006 00:40:51 -0500

hdbc-missingh (0.99.2.2) unstable; urgency=low

  * Fix typo in control.  Closes: #361170.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  7 Apr 2006 06:22:25 -0500

hdbc-missingh (0.99.2.1) unstable; urgency=low

  * Rebuilding for new MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  6 Apr 2006 02:47:37 -0500
