=== debian/control ===
Source: hdbc-missingh
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.14.4), libghc6-hdbc-dev (>= 1.0.0)
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.2), libhugs-missingh (>= 0.14.0), libhugs-hdbc (>= 1.0.0)
Standards-Version: 3.6.2
Section: devel

Package: libghc6-hdbc-missingh-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.14.4), libghc6-hdbc-dev (>= 1.0.0)
Description: Integration of HDBC with MissingH, GHC version
 HDBC-MissingH is a package to integrate HDBC (Haskell Database
 Connectivity) with the MissingH library.
 .
 At the moment, this means that any HDBC database can act as a backend
 for the MissingH.AnyDBM interface.
 .
 This package provides HDBC-MissingH for GHC.

Package: libhugs-hdbc-missingh
Section: devel
Architecture: all
Depends: ${haskell:Depends}, libhugs-missingh (>= 0.14.0), libhugs-hdbc (>= 1.0.0)
Description: Integration of HDBC with MissingH, Hugs version
 HDBC-MissingH is a package to integrate HDBC (Haskell Database
 Connectivity) with the MissingH library.
 .
 At the moment, this means that any HDBC database can act as a backend
 for the MissingH.AnyDBM interface.
 .
 This package provides HDBC-MissingH for Hugs.
