## hdbc-missingh 1.0.1.1

=== debian/changelog ===
hdbc-missingh (1.0.1.1) unstable; urgency=low

  * Add missing build-dep on libghc6-hunit-dev.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Oct 2006 20:15:32 -0500

hdbc-missingh (1.0.1.0) unstable; urgency=low

  * Rebuilding for GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 21:52:53 -0500
