=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: hdbc-missingh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.14.4), libghc6-hdbc-dev (>= 1.0.1)
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.2), libhugs-missingh (>= 0.14.0), libhugs-hdbc (>= 1.0.1)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.16.2), libghc6-hdbc-dev (>= 1.0.1.2), libghc6-mtl-dev, libghc6-hunit-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), libhugs-missingh (>= 0.14.0), libhugs-hdbc (>= 1.0.1.2), libghc6-mtl-dev, libghc6-hunit-dev
 Standards-Version: 3.6.2
 Section: devel
 
 Package: libghc6-hdbc-missingh-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.14.4), libghc6-hdbc-dev (>= 1.0.1)
+Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.16.1), libghc6-hdbc-dev (>= 1.0.1.2), libghc6-mtl-dev
 Description: Integration of HDBC with MissingH, GHC version
  HDBC-MissingH is a package to integrate HDBC (Haskell Database
  Connectivity) with the MissingH library.
